#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "UObject/SoftObjectPtr.h"
#include "DBDDataAssetPropertyHandle.generated.h"

class UDataAsset;

UCLASS(Blueprintable, DefaultToInstanced, EditInlineNew)
class DATAASSETUTILITIES_API UDBDDataAssetPropertyHandle : public UObject
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UDataAsset> _dataAsset;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName _propertyName;

public:
	UDBDDataAssetPropertyHandle();
};

FORCEINLINE uint32 GetTypeHash(const UDBDDataAssetPropertyHandle) { return 0; }
